This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 484134

Summary: gnome-terminal looses network transparency
Product: [Fedora] Fedora Reporter: Michal Jaegermann <michal>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: aph, behdad, dag, d-bugzilla, dirjud, jeremyhu, johnh, mclasen, muep, piergiorgio.sartor, schaiba, scuac, yaneti
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:11:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michal Jaegermann 2009-02-04 17:53:54 EST
Description of problem:

When connected from a remote with X forwarded via ssh after typing 'gnome-terminal' I am seeing the following:

Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
Xlib:  extension "Generic Event Extension" missing on display "localhost:11.0".
Failed to contact the GConf daemon; exiting.

and gnome-terminal fails to start.

Doing the same with gnome-terminal-2.24.3-1.fc10 or gnome-terminal-2.22.2-1.fc9 from F10 and F9 installations respectively, and logged from the same machine every time, opens respective terminal windows as expected.

Version-Release number of selected component (if applicable):
gnome-terminal-2.25.5-1.fc11

How reproducible:
always

Expected results:
At least a fallback to some sane defaults if GConf daemon really cannot be contacted.
Comment 1 Matthias Clasen 2009-02-05 00:35:38 EST
Filed upstream: 

http://bugzilla.gnome.org/show_bug.cgi?id=570588
Comment 2 Matthias Clasen 2009-04-06 13:47:26 EDT
*** Bug 494274 has been marked as a duplicate of this bug. ***
Comment 3 Matthias Clasen 2009-05-26 16:21:07 EDT
*** Bug 502523 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-06-09 07:04:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andrew Haley 2009-07-16 07:03:27 EDT
*** Bug 512099 has been marked as a duplicate of this bug. ***
Comment 6 Matthias Clasen 2009-07-23 21:57:36 EDT
*** Bug 513051 has been marked as a duplicate of this bug. ***
Comment 7 Andrew Haley 2009-08-01 05:04:01 EDT
I'm surprised that this bug is marked as low priority: it breaks some
fairly basic functionality used by remote administrators.  I'm
surprised and disappointed that breaking something so fundamental as
this got as far as a Fedora release.

For what it's worth, I was able easily to fix this bug with

rpm -i gnome-terminal-2.24.3-1.fc10.x86_64.rpm
Comment 8 Yanko Kaneti 2009-08-04 09:43:17 EDT
*** Bug 507290 has been marked as a duplicate of this bug. ***
Comment 9 Dag Bjerkeli 2009-08-19 02:25:12 EDT
Bug still present with
gnome-terminal-2.26.3.1-1.fc11.i586

Just did a clean install of F11 and with update.
Comment 10 Lane 2009-08-22 01:16:23 EDT
I just upgraded to F11 and am seeing this error in vnc sessions. I did not have this problem in F10.
Comment 11 Joachim 2009-09-17 15:13:10 EDT
I upgraded from F9 to F11 (preupgrade), and now cannot connect to F11 using X-Win32 and gnome-terminal command (it works with xterm). 

Package: gnome-terminal-2.26.3.1-1.fc11.x86_64

Error: Failed to contact the GConf daemon; exiting.

I agree that this should have higher priority.
Comment 12 Bug Zapper 2010-04-27 08:52:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Michal Jaegermann 2010-04-27 15:06:16 EDT
The report is still valid for "in distribution" gnome-terminal-2.26.3.1-1.fc11 but it is possible to open accross a network gnome-terminal-2.28.2-1.fc12 and gnome-terminal-2.30.0-1.fc14.  No idea about fc13.  Anyone?
Comment 14 Bug Zapper 2010-06-28 07:11:58 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.